VARKON Version 1.15 1997-10-24

> ## sur_conic - Geometric procedure

> Creates a conic lofting surface.
> Description
> Creates a conic lofting surface. Input data is a number of longitudinal curves (directrices), scalar functions and a spine curve. The cross-section curves (generatrices) will always be of the cur_conic() type. The cross-section curves are defined by intersection points between the longitudinal curves and planes, which are perpendicular to the spine curve.
> Syntax
> sur_conic(id, spine, lim1, tan1, m1, mcur1, lim2, tan2, m2, mcur2, lim3, ...... :attributes);

> REF | id;
> REF | spine;
> REF | lim1;
> REF | tan1;
> STRING | m1;
> REF | lim2;
> REF | tan2;
> STRING | m2;
> REF | mcur2;
> REF | lim3;
> REF | ....

> Principal parameters

> id | - Local identity
> spine | - Spine curve
> lim1 | - Limit 1 curve (will be the V= 0.0 curve in the surface)
> tan1 | - Tangent definition curve 1
> m1 | - Flag defining the type of mid curve
> | Eq. M: Mid curve is a R*3 curve
> | Eq. P: Mid curve is a P-value curve
> | A function with X= spine length and Y = P value
> mcur1 | - Mid curve 1
> lim2 | - Limit 2 curve (will be the V= 1.0 curve in the surface)
> tan2 | - Tangent definition curve 2

> Optional parameters

> m2 | - Flag defining the type of mid curve
> mcur2 | - Mid curve 2
> lim3 | - Limit 3 curve (will be the V= 2.0 curve in the surface)
> ... | ....

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible (0) or invisible (1)
> SFONT | - Solid boundary and dashed midcurves (0)
> SDASHL | - Dashlength

> Example
> sur_conic( #10, #1, #2, #3, "M", #4, #5, #6, "P", #7, #8);
> Creates a conic lofting surface (type LFT_SUR) with spine curve #1. The number of patches in the V direction will be two since the number of limit curves (#2, #4, #7) and tangent definition curves (#3, #5, #8) is three. The number of patches in the U direction is defined by the segments in the longitudinal curves and the spine.
> The mid curve in the first V strip is a R*3 curve and in the second V strip a P value function.
> Comments
> The created surface LFT_SUR is of the procedural type.

VARKON Homepage | Index